Subject: Re: [PATCH/RFC] git-gui: Add a 'recursive' checkbox in the clone menu.

From: Jens Lehmann <[email-masked]>
Date: Thu, 06 Mar 2014 20:35:48 +0100

Am 06.03.2014 01:15, schrieb Henri GEIST:
> Le mercredi 05 mars 2014 à 19:00 +0100, Jens Lehmann a écrit :
>> Am 05.03.2014 00:01, schrieb Henri GEIST:
>> - Wouldn't it be easier to pass the '--recurse-submodules"
>>   option to the "git clone" call for the superproject instead
>>   of adding the _do_clone_submodules() function doing a
>>   subsequent "git submodule update --init --recursive"? That
>>   is also be more future proof with respect to the autoclone
>>   config option we have in mind (which would add that behavior
>>   for "git clone" itself, making the call you added redundant).
> 
> That is what I planned to do at beginning.
> But git-gui never call git clone anywhere.
> It make the clone step by step with a long and complicated list of
> commands just like a Tcl rewrite of git-clone.
> Have a look on the function _do_clone2 in choose_repository.tcl.

You're right, it does fetch followed by read-tree ... so my
proposal doesn't make much sense here, sorry for bothering you
without checking the source first.

> As I suspect there should be a good reason for this that I did not
> understand I have choose to not refactoring it.

That makes sense. Shawn, could you shed some light on why clone
is coded again using plumbing in git gui instead of just calling
the clone command?

> And in fact looking in the code 'git clone --recursive' do nothing
> else than calling 'git submodule update --init --recursive' like I
> have done to complete this rewrite of 'git-clone'.

Yep. Note to self: Port everything we add to clone to git gui too.